import { defineStore } from "pinia";
import { setLocalStorage, getLocalStorage } from "@/utils";
export const RouterTagData = defineStore({
  id: "RouterTagData",
  state: () => ({
    tagData: [],
    getMenuTabSate:localStorage.getItem('menuTabSate') || ''
  }),
  getters: {},
  actions: {
    tagsPushData(data) {
      // 先将已有的相同 name 的标签移除
      this.tagData = this.tagData.filter((res) => res.name !== data.name);
      // 再将新的标签加入
      this.tagData.push(data);
      this.localStorageTagsData(this.tagData);
    },
    // 初始化标签
    tagsPushFilter(data) {
      if (data.length !== 0) {
        this.tagData = JSON.parse(data);
      } else {
        this.tagData = data;
      }
    },
    // 删除标签
    handleRemove(data) {
      // 去重
      this.tagData = this.tagData.filter((item) => item.name !== data.name);
      this.localStorageTagsData(this.tagData);
    },
    localStorageTagsData(data) {
      localStorage.setItem("RouterTagData", JSON.stringify(data));
    },
    // 默认选中菜单
    getDefault(data){
        this.getMenuTabSate = data
    },

  },
});
